#
# spec file for package gsmssend (Version 1.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel gettext glib glib-devel gnome-libs gnome-libs-devel gpp gtk gtk-devel imlib imlib-devel libglade libglade-devel libgpp xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gpp gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libglade libglade-devel libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gsmssend
Copyright:    GPL
Group:        X11/GNOME/Applications 
Autoreqprov:  on
Version:      1.5
Release:      160
Requires:     smssend
Source:       http://lassauge.free.fr/smssend/gsmssend-%{version}.tar.gz
%define       skyversion 1.12
Source1:      skyutils-%{skyversion}.tar.gz
Patch:        gsmssend-%{version}.dif
Patch1:       gsmssend-ia64.dif
Patch2:       skyutils-%{skyversion}.dif
BuildRoot:    /var/tmp/%{name}-root
Summary:      GNOME user interface for SMS Send
URL: http://lassauge.free.fr/en_sms.htm

%description
User Interface to the smssend. It will detect the provider
script files in the default locations and create a small
window for each one. When you click on the APPLY button
it will fork/exec smssend with proper options.

Authors:
--------
    Eric Lassauge <lassauge@mail.dotcom.fr>

SuSE series: gnm

%prep
%setup -a 1
%patch
%patch1
cd skyutils-%{skyversion}
%patch2
%{suse_update_config}

%build
# make skyutils first
cd skyutils-%{skyversion}
make
cd ..
# for po  files
cd po
mv -v Makefile.in.in   Makefile.in
cd ..
%define prefix   /opt/gnome/
aclocal
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS"
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --mandir=%{_mandir} \
                --prefix=%{prefix} \
                --infodir=%{_infodir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 
cd po
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README NEWS TODO
/opt/gnome/bin/gsmssend
/opt/gnome/share/gnome/apps/Internet/gsmssend.desktop
/opt/gnome/share/pixmaps/gnome-smssend.png
/opt/gnome/share/pixmaps/gsmssend
/usr/share/man/man1/gsmssend.*
/opt/gnome/share/locale/*/LC_MESSAGES/gsmssend.mo

%changelog -n gsmssend
* Wed May 23 2001 - pblaha@suse.cz
- fix cast warning on ia64
* Tue Apr 17 2001 - pblaha@suse.cz
- update on version 1.5
* Sun Apr 08 2001 - schwab@suse.de
- Build skyutils with -fPIC.
- Fix specfile typos.
* Wed Mar 21 2001 - pblaha@suse.cz
- create this GNOME frontend  for smssend
